Enterprise installation - npm update caniuse-lite browserslist


(francisca) #1

Hello,
I am trying to install Enterprise version, but I am facing a problem with npm. Which version of npm should I install? When installing, it always appears this error:
“Browserslist: caniuse-lite is outdated. Please run next command npm update caniuse-lite browserslist
FATAL ERROR: CALL_AND_RETRY_LAST Allocation failed - JavaScript heap out of memory”
What can I do?
Thank you,
Francisca


(Simone Scarduzio) #2

The issue is just the out of memory.


(francisca) #3

Thank you! In one single machine, what is the minimum necessary memory?


(Simone Scarduzio) #4

I have no idea about the precise minimum memory required, Just have a machine with 4GB+ memory, kill elasticsearch and other heavy processes, remove all Kibana files and reinstall it from scratch (when the plugin installation dies, it corrupts the optimised files for good). Now try again installing ROR.

I know it’s a pain, but this is what we have to work with too.


(francisca) #5

Thank you! I am trying with a 5gb machine, but no success yet.


(Simone Scarduzio) #6

How were you successful before then?


(francisca) #7

I only installed PRO version, I can not install ENTERPRISE version.


(Simone Scarduzio) #8

Does it install all right on your own computer (if you have a computer with more ram than 5GB)?